Bug 1232472 - rhel-x86_64-server-sap-hana-6 channel maps are missing from channel-cert-mapping.txt
Summary: rhel-x86_64-server-sap-hana-6 channel maps are missing from channel-cert-mapp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 20:21 UTC by John Sefler
Modified: 2017-03-21 10:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:53:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description John Sefler 2015-06-16 20:21:41 UTC
Description of problem:
RHN Classic channel '<SUBSTITUTE FROM LIST BELOW>' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

rhel-x86_64-server-sap-hana-6
rhel-x86_64-server-sap-hana-6-debuginfo

Version-Release number of selected component (if applicable):
[root@jsefler-os6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.22-1.el6.noarch



Additional info:
[root@jsefler-os6 ~]# grep -- -sap-6 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt 
rhel-x86_64-server-sap-6: Server-SAP-x86_64-3f8973c93bea-146.pem
rhel-x86_64-server-sap-6-beta: Server-SAP-x86_64-0d45b3e9f9c7-146.pem
rhel-x86_64-server-sap-6-beta-debuginfo: Server-SAP-x86_64-0d45b3e9f9c7-146.pem
rhel-x86_64-server-sap-6-debuginfo: Server-SAP-x86_64-3f8973c93bea-146.pem

Notice that the non-hana rhel-x86_64-server-sap-6 channels are mapped to product 146 (Red Hat Enterprise Linux for SAP)

Comment 1 John Sefler 2017-01-16 17:45:16 UTC
Moving to CLOSED NOTABUG because satellite-sync --list-channels with url: https://satellite.rhn.redhat.com does not reveal the sap-hana channels, only the sap channels channels...

[root@rhsm-sat5 ~]# satellite-sync --list-channels > allchannels.txt
[root@rhsm-sat5 ~]# grep -- -sap-6 allchannels.txt 
12:24:47       p rhel-x86_64-server-sap-6                   68 
12:24:47       p rhel-x86_64-server-sap-6-beta              12 
12:24:47       p rhel-x86_64-server-sap-6-beta-debuginfo     6 
12:24:47       p rhel-x86_64-server-sap-6-debuginfo         31 
[root@rhsm-sat5 ~]#

Comment 2 John Sefler 2017-01-16 18:47:03 UTC
Ooops. My mistake for closing this bug due to a typo in my grep query.  There are sap-hana channels present in the satellite-sync...

[root@rhsm-sat5 ~]# grep -- -sap-hana-6 allchannels.txt
12:24:47       p rhel-x86_64-server-sap-hana-6              14 
12:24:47       p rhel-x86_64-server-sap-hana-6-debuginfo    11 
12:24:48       p rhel-x86_64-server-sap-hana-6.7.z          10 
12:24:48       p rhel-x86_64-server-sap-hana-6.7.z-debuginfo    8 
[root@rhsm-sat5 ~]# 

There are no sap-hana channels in the subscription-manager-migration-data...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data 
subscription-manager-migration-data-2.0.32-1.el6.noarch
[root@jsefler-rhel6 ~]# grep -- -sap-hana-6 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
[root@jsefler-rhel6 ~]# 

Expected...
rhel-x86_64-server-sap-hana-6
rhel-x86_64-server-sap-hana-6-debuginfo

Comment 3 Andrew Thomas 2017-02-07 15:17:57 UTC
New build of mappings contains these channels:

[anthomas@rcm-dev cdn]$ grep rhel-x86_64-server-sap-hana-6 product-certs.json -C2
    "rhel-x86_64-server-sap-hana-6": {
        "Product Cert CN": "Red Hat Product ID [e695a1d8-3bb3-4ed6-a4e8-aa4db66459d8]",
        "Product Cert file": "/rhel-6.9/Server-SAPHANA-x86_64-aa4db66459d8-241.pem",
        "Product ID": "241"
    },
    "rhel-x86_64-server-sap-hana-6-debuginfo": {
        "Product Cert CN": "Red Hat Product ID [e695a1d8-3bb3-4ed6-a4e8-aa4db66459d8]",
        "Product Cert file": "/rhel-6.9/Server-SAPHANA-x86_64-aa4db66459d8-241.pem",

Comment 4 John Sefler 2017-02-13 17:22:18 UTC
Verifying Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.33-1.el6.noarch

[root@jsefler-rhel6 ~]# grep -- -sap-hana-6 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-sap-hana-6: Server-SAPHANA-x86_64-aa4db66459d8-241.pem
rhel-x86_64-server-sap-hana-6-debuginfo: Server-SAPHANA-x86_64-aa4db66459d8-241.pem
[root@jsefler-rhel6 ~]# 

VERIFIED

Comment 6 John Sefler 2017-02-16 19:18:38 UTC
Verifying Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.34-1.el6.noarch

[root@jsefler-rhel6 ~]# grep -- -sap-hana-6 /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-sap-hana-6: Server-SAPHANA-x86_64-aa4db66459d8-241.pem
rhel-x86_64-server-sap-hana-6-debuginfo: Server-SAPHANA-x86_64-aa4db66459d8-241.pem
[root@jsefler-rhel6 ~]# 

VERIFIED: sap-hana-6 channel to product cert mappings are now included in subscription-manager-migration-data-2.0.34-1.el6.noarch

Comment 8 errata-xmlrpc 2017-03-21 10:53:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.